Source: etcd
Version: 2.3.7+dfsg-1
Severity: normal

Dear Maintainer,

The package golang-github-cheggaaa-pb has been superseded by
golang-gopkg-cheggaaa-pb.v1 (#824601) since the upstream author has
begun tagging releases [1]. I am hence going to request the removal
of golang-github-cheggaaa-pb from the archive.

[1] https://github.com/cheggaaa/pb/issues/73

Rather than patching etcd to use golang-gopkg-cheggaaa-pb.v1, you can
remove the Build-Depends and Depends on golang-github-cheggaaa-pb-dev,
since that package is in fact not needed at all to build etcd.

# grep -r cheggaaa/pb etcd-2.3.7+dfsg 
etcd-2.3.7+dfsg/Godeps/Godeps.json:                     "ImportPath": 
"github.com/cheggaaa/pb",
etcd-2.3.7+dfsg/tools/benchmark/cmd/put.go:     
"github.com/coreos/etcd/Godeps/_workspace/src/github.com/cheggaaa/pb"
etcd-2.3.7+dfsg/tools/benchmark/cmd/range.go:   
"github.com/coreos/etcd/Godeps/_workspace/src/github.com/cheggaaa/pb"
etcd-2.3.7+dfsg/tools/benchmark/cmd/root.go:    
"github.com/coreos/etcd/Godeps/_workspace/src/github.com/cheggaaa/pb"
etcd-2.3.7+dfsg/tools/benchmark/cmd/watch.go:   
"github.com/coreos/etcd/Godeps/_workspace/src/github.com/cheggaaa/pb"

These executables are not built by the Debian package. I verified that
etcd builds without issues in absence of golang-github-cheggaaa-pb-dev.

Regards,
Peter

_______________________________________________
Pkg-go-maintainers mailing list
Pkg-go-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-go-maintainers

Reply via email to